import Tool from "./tool";
import { graph, state } from "../editor";
import RedoIcon from "../../images/tools/delete.png";

export default class RedoTool extends Tool {
    constructor(key) {
        super("Redo", RedoIcon, key);
    }

    onToolActivate() {
        graph.redo();
        state.setTool(state.previousTool);
    }
}
