import Tool from "./tool";
import { graph, state } from "../editor";
import UndoIcon from "../../images/tools/undo.png";

export default class UndoTool extends Tool {
    constructor(key) {
        super("Undo", UndoIcon, key);
    }

    onToolActivate() {
        graph.undo();
        state.setTool(state.previousTool);
    }
}
